Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80704 - Ping Image Size Failure
Summary: Ping Image Size Failure
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-30 06:33 UTC by Ashley M. Kirchner
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-09 15:55:29 UTC


Attachments (Terms of Use)

Description Ashley M. Kirchner 2002-12-30 06:33:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.0.1)
Gecko/20020823 Netscape/7.0

Description of problem:

ImageMagick does not return the correct values for image dimensions.  More
information follows:

Redhat 7.3
ImageMagick-perl-5.4.3.11-1, ImageMagick-5.4.3.11-1,
ImageMagick-devel-5.4.3.11-1, ImageMagick-c++-devel-5.4.3.11-1,
ImageMagick-c++-5.4.3.11-1

First with ImageMagick:

----------
#!/usr/bin/perl
use Image::Magick;
$imageName = "/tmp/001.jpg";

my $preview = new Image::Magick;
($width, $height, $size, $format) = $preview->Ping($imageName);
print "width: $width\nheight: $height\n";
----------
width: 191
height: 154



Now with Image::Info:
----------
#!/usr/bin/perl
use Image::Info qw(image_info dim);
$imageName = "/tmp/001.jpg";

my $info = image_info($imageName);
my($w, $h) = dim($info);
print "width: $w\nheight: $h\n";
----------
width: 1523
height: 1228


Image::Info has the correct values.  Seems ImageMagick's Ping routine has a
problem.  When I installed the source (from ImageMagick's wesite), everything
worked fine.


Version-Release number of selected component (if applicable):
5.4.3.11-1

How reproducible:
Always

Steps to Reproduce:
1. Install Red Hat's ImageMagick 5.4.3.11-1 RPMs
2. Install Image::Info 1.11 from CPAN
3. Run the above perl code on an image of known dimensions
    

Actual Results:  ImageMagick always came back with odd (very small) numbers
compared to other routines that collects image dimensions.

Expected Results:  Expected results?  Um, the correct information would be nice.

Additional info:

Comment 1 Matthias Clasen 2005-09-09 15:55:29 UTC
Since this bugzilla report was filed, there have been several major
updates to ImageMagick, which may resolve this issue.  If you still see
this problem with a current version of ImageMagick, please file a new bug.

Setting status to "WONTFIX".



Note You need to log in before you can comment on or make changes to this bug.